POST/api/v2/cards/topup

TopUp - Direct card top-up with card ID

Authentication

Send your API key in the x-api-key header on every request.

Request body

application/json

Request body fields
FieldTypeRequiredDescription
CardIdunknownNo
TokenstringNo
ValueunknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
SuccessbooleanNo
TransakUrlstringNo
OrderIdstringNo
TokenstringNo
ValueunknownNo
WalletAddressstringNo
MessagestringNo
ErrorCodestringNo
ErrorMessagestringNo
FeeunknownNo
CreatedAtstring (date-time)No
ConfigurationobjectNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

500 — Internal Server Error

Example request

curl -X POST "https://{base_url}/api/v2/cards/topup" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.